# Class CIM_LANSegment
extends CIM_LogicalNetwork

A collection of LAN Endpoints of a particular type that are able to intercommunicate directly without the assistance of bridging or routing services. Since this class' superclass (LogicalNetwork) has been deprecated (in order to define more consistent 'collection' semantics), this class is also deprecated.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Collection
|
+--CIM_CollectionOfMSEs
|
+--CIM_LogicalNetwork
|
+--CIM_LANSegment

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Deprecated | string | CIM_LANConnectivitySegment
Description | string | A collection of LAN Endpoints of a particular type that are able to intercommunicate directly without the assistance of bridging or routing services. Since this class' superclass (LogicalNetwork) has been deprecated (in order to define more consistent 'collection' semantics), this class is also deprecated.
UMLPackagePath | string | CIM::Network::Collections
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
LANID | string |
Deprecated | string | CIM_LANConnectivitySegment.LANID
Description | string | A label or identifier for the LAN Segment.
MaxLen | uint32 | 64
ModelCorrespondence | string | CIM_LANEndpoint.LANID
LANType | uint16 |
Deprecated | string | CIM_LANConnectivitySegment.ConnectivityType
Description | string | An indication of the kind of technology used on the LAN.
ModelCorrespondence | string | CIM_LANEndpoint.LANType
ValueMap | string | 0, 1, 2, 3, 4
Values | string | Unknown, Other, Ethernet, TokenRing, FDDI
OtherLANType | string |
Deprecated | string | CIM_LANConnectivitySegment.OtherTypeDescription

Description

string

A string describing the type of technology used on the LAN when the value of the LANType property of this class (or any of its subclasses) is set to 1 (i.e., "Other"). The format of the string inserted in this property should be similar in format to the values defined for the LANType property. This property should be set to NULL when the LANType property is any value other than 1.

MaxLen | uint32 | 64
ModelCorrespondence | string | CIM_LANSegment.LANType

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CollectionID | string | CIM_CollectionOfMSEs
CreationClassName | string | CIM_LogicalNetwork
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_LogicalNetwork
NetworkType | uint16 | CIM_LogicalNetwork
OtherTypeDescription | string | CIM_LogicalNetwork
SystemCreationClassName | string | CIM_LogicalNetwork
SystemName | string | CIM_LogicalNetwork

## Class Methods